### Method

# Camel MessageContentInfo traverse

#### Declaration [src]

    gboolean
    camel_message_content_info_traverse (
      CamelMessageContentInfo* ci,
      CamelMessageContentInfoTraverseCallback func,
      gpointer user_data
    )

#### Description [src]

Calls the `func` for each `CamelMessageContentInfo`, including the top one. The `func` can return `TRUE` to continue processing or `FALSE` to stop it.

#### Parameters

`func`

  Type: `CamelMessageContentInfoTraverseCallback`

  A `CamelMessageContentInfoTraverseCallback`.

`user_data`

  Type: `gpointer`

  User data passed to `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`FALSE` on error or when the `func` returned `FALSE`, otherwise `TRUE`.